If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent browser/components/extensions/test/browser/browser_ext_windows_events.js | Last focused window has the correct id - Expected: 31, Actual: 0 -

RESOLVED FIXED in Firefox 55

Status

()

Toolkit
WebExtensions: General
P3
normal
RESOLVED FIXED
a year ago
3 months ago

People

(Reporter: Treeherder Bug Filer, Assigned: jmaher)

Tracking

({intermittent-failure})

unspecified
mozilla55
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox55 fixed)

Details

(Whiteboard: [stockwell fixed])

Attachments

(1 attachment)

(Reporter)

Description

a year ago
treeherder
Filed by: philringnalda [at] gmail.com

https://treeherder.mozilla.org/logviewer.html#?job_id=4556579&repo=autoland

https://archive.mozilla.org/pub/firefox/tinderbox-builds/autoland-macosx64/1475688420/autoland_yosemite_r7_test-mochitest-e10s-browser-chrome-5-bm133-tests1-macosx-build16.txt.gz

Updated

10 months ago
Priority: -- → P3

Comment 1

4 months ago
31 failures in 891 pushes (0.035 failures/push) were associated with this bug in the last 7 days. 

This is the #48 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 21
* mozilla-inbound: 6
* mozilla-central: 4

Platform breakdown:
* osx-10-10: 31

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-05-22&endday=2017-05-28&tree=all
(Assignee)

Comment 2

4 months ago
May 24th this started up and is on track to have 60+ failures this coming week:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-05-01&endday=2017-05-30&tree=all

This remains on osx-debug as the primary failure pattern.

Here is a recent log:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=103166387&lineNumber=30353

and related screenshot:
http://mozilla-releng-blobs.s3.amazonaws.com/blobs/mozilla-inbound/sha512/e9422707c7e01f0c7b19583b1efd6915b36be76f1f7963506e558b048d5b9f3911d4a53fc9b510c298159db2dd149aff0a35db84dd6081fcdec8b546eff1ddce

and here is related information from the above mentioned log file:
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | onFocusChanged fired once for the given window - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | windowId is an integer - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | Last focused window has the correct id - Expected: 1871, Actual: 1871 - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | Got focus change event for the correct window ID. - 
14:19:01     INFO - Close browser window 2
14:19:01     INFO - onRemoved: windowId=1879
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | windowId is an integer - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | windows.events - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | Got removed event for the correct window ID. - 
14:19:01     INFO - Close browser window 1
14:19:01     INFO - onRemoved: windowId=1871
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | windowId is an integer - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | windows.events - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | Got removed event for the correct window ID. - 
14:19:01     INFO - onFocusChange: windowId=-1 lastWindowId=1871
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | onFocusChanged fired once for the given window - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | windowId is an integer - 
14:19:01     INFO - onFocusChange: windowId=3 lastWindowId=-1
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | onFocusChanged fired once for the given window - 
14:19:01     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | windowId is an integer - 
14:19:01     INFO - TEST-INFO | started process screencapture
14:19:02     INFO - TEST-INFO | screencapture: exit 0
14:19:02     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | Last focused window has the correct id - Expected: -1, Actual: 3 - 
14:19:02     INFO - Stack trace:
14:19:02     INFO -     @moz-extension://9d435674-8f8a-4543-95d6-2af53c9a6429/%7B669ece7f-3467-d244-a1cf-cf410900d4b3%7D.js:30:7
14:19:02     INFO -     
14:19:02     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | Got focus change event for the correct window ID. - 
14:19:02     INFO - TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | test result correct - 
14:19:02     INFO - Console message: Ignoring response to aborted listener for 1411-0
14:19:02     INFO - Console message: Ignoring response to aborted listener for 1412-0
14:19:02     INFO - Leaving test bound testWindowsEvents
14:19:02     INFO - GECKO(1810) | MEMORY STAT | vsize 5089MB | residentFast 1016MB | heapAllocated 331MB
14:19:02     INFO - TEST-OK | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_windows_events.js | took 3910ms


:andym, I see you are the triage owner for this component- can you find someone who knows about extensions and windows events who could look into this failure and get a fix in the next 2 weeks?
Flags: needinfo?(amckay)
Whiteboard: [stockwell needswork]

Comment 3

4 months ago
22 failures in 167 pushes (0.132 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 13
* mozilla-inbound: 6
* mozilla-central: 3

Platform breakdown:
* osx-10-10: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-05-30&endday=2017-05-30&tree=all

Comment 4

4 months ago
27 failures in 184 pushes (0.147 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* mozilla-inbound: 12
* autoland: 10
* mozilla-central: 4
* graphics: 1

Platform breakdown:
* osx-10-10: 27

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-05-31&endday=2017-05-31&tree=all

Comment 5

4 months ago
31 failures in 149 pushes (0.208 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 19
* mozilla-inbound: 8
* mozilla-central: 3
* mozilla-beta: 1

Platform breakdown:
* osx-10-10: 31

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-06-02&endday=2017-06-02&tree=all

Comment 6

4 months ago
104 failures in 820 pushes (0.127 failures/push) were associated with this bug in the last 7 days. 

This is the #7 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 49
* mozilla-inbound: 33
* mozilla-central: 17
* graphics: 3
* try: 1
* mozilla-beta: 1

Platform breakdown:
* osx-10-10: 104

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-05-29&endday=2017-06-04&tree=all

Comment 7

4 months ago
20 failures in 182 pushes (0.11 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 10
* mozilla-inbound: 9
* try: 1

Platform breakdown:
* osx-10-10: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-06-07&endday=2017-06-07&tree=all

Comment 8

4 months ago
16 failures in 172 pushes (0.093 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 12
* mozilla-inbound: 4

Platform breakdown:
* osx-10-10: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-06-08&endday=2017-06-08&tree=all
(Assignee)

Comment 9

4 months ago
Created attachment 8876286 [details] [diff] [review]
disable test case on osx/debug

this won't get all the failures, but most of them.
Attachment #8876286 - Flags: review?(gbrown)

Updated

4 months ago
Attachment #8876286 - Flags: review?(gbrown) → review+

Comment 10

4 months ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/42d138495591
Intermittent browser/components/extensions/test/browser/browser_ext_windows_events.js. temporarily disable. r=gbrown
https://hg.mozilla.org/mozilla-central/rev/42d138495591
Status: NEW → RESOLVED
Last Resolved: 4 months ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla55

Comment 12

3 months ago
55 failures in 864 pushes (0.064 failures/push) were associated with this bug in the last 7 days. 

This is the #22 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 30
* mozilla-inbound: 20
* try: 4
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 55

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-06-05&endday=2017-06-11&tree=all
Assignee: nobody → jmaher
Flags: needinfo?(amckay)
Whiteboard: [stockwell needswork] → [stockwell fixed]
See Also: → bug 1373011

Comment 13

3 months ago
4 failures in 814 pushes (0.005 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 2
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 3
* osx-10-10-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 14

3 months ago
2 failures in 892 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308068&startday=2017-06-19&endday=2017-06-25&tree=all
You need to log in before you can comment on or make changes to this bug.